define({"0":{y:0,u:"../Content/Part_Overview.htm",l:-1,t:"Overview of Filter SDK",i:0.00149177615952911,a:"Overview of Filter SDK This section provides an overview of the OpenText File Content Extraction Filter SDK and describes how to get started with the C++ API. Introducing Filter SDK Getting Started"},"1":{y:0,u:"../Content/filter/intro_filtersdk.htm",l:-1,t:"Introducing Filter SDK",i:0.00212578366989701,a:"Introducing Filter SDK This section describes the File Content Extraction Filter SDK. "},"2":{y:0,u:"../Content/filter/Overview.htm",l:-1,t:"Overview",i:0.00174537916367627,a:"OpenText File Content Extraction Filter SDK enables you to incorporate text extraction functionality into your own applications. It extracts text and metadata from a wide variety of file formats on numerous  platforms , and can automatically recognize over 2000 document types. It supports both ..."},"3":{y:0,u:"../Content/filter/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00149177615952911,a:"To get started with the Filter SDK, unzip the package to a directory on your machine. The Filter SDK packages for non-Windows platforms store the correct file permissions for the files in the SDK (for example, some files must be executable) . OpenText recommends that you unzip the SDK on the ..."},"4":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0141713376901554,a:"Your license key controls whether you have the full version of the File Content Extraction SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document ..."},"5":{y:0,u:"../Content/C/gettingstarted/KeyViewTutorial_Introduction.htm",l:-1,t:"Explore Filter SDK Features",i:0.00149177615952911,a:"You can use File Content Extraction by calling it from your own applications through one of its APIs. However, to help you get started, the SDK includes some non-production test utilities which allow you to use File Content Extraction from the command line and explore its functionality. This section ..."},"6":{y:0,u:"../Content/Chapter_GettingStarted.htm",l:-1,t:"Getting Started",i:0.00415936658065115,a:"Getting Started This section provides information about how to get started with the File Content Extraction Filter C++ API."},"7":{y:0,u:"../Content/C++/gettingstarted/Using_the_C++_Imp.htm",l:-1,t:"Use the C++ Language Implementation of the API",i:0.00149177615952911,a:"The C++ API is designed to make extraction of content from documents as straightforward as possible. The primary advantage over the C API is the use of C++ features to provide a simpler interface that is easy to use.\n         The API consists of: Header files that define all of the classes and ..."},"8":{y:0,u:"../Content/C++/gettingstarted/Building.htm",l:-1,t:"Build the C++ API",i:0.00173734795335058,a:"This section describes the build process for Windows and Linux. To build the C++ API on Windows To build on Windows, you need at least Microsoft Visual Studio 2015.  Switch to the cppapi/bin directory.  At the Visual Studio command prompt, run nmake -f Makefile.  This command creates a file called ..."},"9":{y:0,u:"../Content/C++/gettingstarted/Start_Using_KeyView.htm",l:-1,t:"Start Using the Filter API",i:0.0031779716084012,a:"Create a Session To use the C++ Filter SDK, link the library built in  Build the C++ API , and include the following headers in your code: Copy #include \"Keyview_FilterSDK.hpp\" #include \"Keyview_IO.hpp\" To use the API, you must create a session: Copy auto session = keyview::Session{license, ..."},"10":{y:0,u:"../Content/C++/gettingstarted/Customize_Session.htm",l:-1,t:"Configure the Session",i:0.00149177615952911,a:"You can customize the behavior of your File Content Extraction session by setting additional optional configuration options, using the config() method of the Session object, which returns a reference to the active configuration. The following example provides a password for filtering ..."},"11":{y:0,u:"../Content/C++/gettingstarted/Using_Documents.htm",l:-1,t:"Using Document Objects",i:0.00173734795335058,a:"OpenText recommends that you create a  Document  object for each document that you want to process, as described in  Start Using the Filter API . The document object provides access to the data within a document, including its format, metadata, text, and subfiles.  This topic provides some ..."},"12":{y:0,u:"../Content/C++/gettingstarted/Exceptions.htm",l:-1,t:"Exceptions",i:0.00149177615952911,a:"All of the C++ API methods can throw exceptions. File Content Extraction errors take the form of an instance of keyview_error, which is itself derived from std::exception. The exceptions that can be thrown are defined in Keyview_Errors.hpp. In application code, it is possible to catch and correctly ..."},"13":{y:0,u:"../Content/C++/gettingstarted/Streaming_Filtered_Text.htm",l:-1,t:"Streaming Filtered Text",i:0.00204289410010818,a:"Sometimes, you might want to get filtered text in small chunks instead of all at once. This approach has the following advantages: You can process the output data in parallel with filtering the rest of the text. Parallel processing can minimize the time it takes to filter and process the text. You ..."},"14":{y:0,u:"../Content/C++/gettingstarted/GenericIO.htm",l:-1,t:"Input and Output Methods",i:0.00179732230628672,a:"Some of the previous examples show File Content Extraction taking input from a file (keyview::io::InputFile) and sending output to a file (keyview::io::OutputFile). The C++ API allows you to take input from and write output to other data sources by making use of generic types for input and output. ..."},"15":{y:0,u:"../Content/Part_UseSDK.htm",l:-1,t:"Use Filter SDK",i:0.00149177615952911,a:"Use Filter SDK This section explains how to perform some basic tasks by using the File Extraction and Filter APIs, and describes the sample programs. Use the File Extraction API Use the Filter API Use the Metadata API Sample Programs Advanced Topics"},"16":{y:0,u:"../Content/extract/Extract_API.htm",l:-1,t:"Use the File Extraction API",i:0.00174537916367627,a:"Use the File Extraction API This section describes how to extract subfiles from a container file by using the File Extraction API. "},"17":{y:0,u:"../Content/extract/Introduction.htm",l:-1,t:"Introduction",i:0.00149177615952911,a:"A file can contain other files, which we call subfiles. Examples of subfiles include e-mail attachments and embedded OLE objects. A file that contains subfiles is called a container file. The following are examples of container files: Archive files such as the ZIP, TAR, and RAR formats. Mail ..."},"18":{y:0,u:"../Content/extract/Extract_Subfiles_Cpp.htm",l:-1,t:"Extract Subfiles",i:0.00149177615952911,a:"To filter all files in a container file, you must open the container and extract its subfiles to either a file or a stream by using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for filtering. After a subfile is extracted, you can ..."},"19":{y:0,u:"../Content/extract/Extract_protected_containers.htm",l:-1,t:"Extract Protected Container Files",i:0.00149177615952911,a:"This section describes how to extract container files that are protected with a password or require other types of credentials. The following guidelines apply to specific file types. Lotus Notes NSF files. If you are running a Notes client with an active user connected to a Domino server, you must ..."},"20":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00174537916367627,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"21":{y:0,u:"../Content/extract/Understand_Subfile_Hierarchy.htm",l:-1,t:"Understand the Subfile Hierarchy",i:0.00588359381624374,a:"When you extract a container file, the paths or relationships between the subfiles might be irrelevant. For example, you might want to filter the subfiles contained in a ZIP archive, but you might not care about the file and folder structure. File Content Extraction provides information that enables ..."},"22":{y:0,u:"../Content/extract/_KV_ExtractMailFiles.htm",l:-1,t:"Extract Mail Files",i:0.00212578366989701,a:"A file that contains an e-mail message, for example a Microsoft Outlook .MSG file, is typically treated as a container even if it does not have any attachments. File Content Extraction provides access to the message text as a subfile.  When you extract a subfile that represents the text of a ..."},"23":{y:0,u:"../Content/extract/_KV_Set_CharSet_Extraction.htm",l:-1,t:"Specify a Target Character Set",i:0.00149177615952911,a:"File Content Extraction provides a way to specify the target character set when extracting subfiles. This is only used to set the character set when extracting the body of a mail message. OpenText recommends using UTF-8 or UTF-16 because these are widely supported and can encode a diverse range of ..."},"24":{y:0,u:"../Content/extract/Extract_Mailbox.htm",l:-1,t:"Mailbox Files",i:0.00149177615952911,a:"A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  In Eudora MBX files, attachments are inserted ..."},"25":{y:0,u:"../Content/extract/Extract_PST.htm",l:-1,t:"Outlook Personal Folders Files",i:0.00363530612689754,a:"File Content Extraction can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file.  By default, an extracted message will include header information (the fields To, From, Sent, and so on) even though this information is stored in the PST ..."},"26":{y:0,u:"../Content/extract/Extract_LotusDominoXML.htm",l:-1,t:"Lotus Domino XML Language Files",i:0.00149177615952911,a:"You can make sure that dates and times extracted from Lotus Domino .DXL files are displayed in a uniform format. To extract custom date/time formats In the formats.ini file, set the DateTimeFormat option in the [dxlsr] section. For example: [dxlsr]\nDateTimeFormat=%m/%d/%Y %I:%M:%S %p In this ..."},"27":{y:0,u:"../Content/extract/Extract_LotusNotes_DB.htm",l:-1,t:"Lotus Notes Database Files",i:0.00149177615952911,a:"A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document notes, access control list notes, and collection ..."},"28":{y:0,u:"../Content/extract/Extract_PDF.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.0027597911802649,a:"File Content Extraction can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are added as comments by ..."},"29":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00149177615952911,a:"To improve performance when processing PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, File Content Extraction does not extract the image.  For example, to ignore ..."},"30":{y:0,u:"../Content/extract/Extract_OLE.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00149177615952911,a:"The File Extraction API can extract embedded OLE objects from the following types of documents: Lotus Notes (DXL) Microsoft Excel Microsoft Word Microsoft PowerPoint Microsoft Outlook Microsoft Visio Microsoft Project OASIS Open Document Rich Text Format (RTF) When an embedded OLE object is ..."},"31":{y:0,u:"../Content/Chapter_UseFilterAPI.htm",l:-1,t:"Use the Filter API",i:0.00174537916367627,a:"Use the Filter API This section describes how to perform some basic filtering tasks by using the Filter API."},"32":{y:0,u:"../Content/filter/Extract_Format_Info.htm",l:-1,t:"Obtain Format Information",i:0.00332446952791325,a:"The file format detection module (kwad) detects a file\u0027s format, and reports the information to your application. When detecting the file format, File Content Extraction uses the content of the file rather than the file extension. In some cases, the file extension can be an unreliable marker because ..."},"33":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.00467140410312886,a:"Source code identification attempts to identify files that contain a particular programming language as a specific format.  When you do not enable source code identification, files that contain source code are often identified as ASCII text files, which means the application treats them in the same ..."},"34":{y:0,u:"../Content/filter/Determine_Doc_Reader.htm",l:-1,t:"File Formats and Document Readers",i:0.00370172968131711,a:"The configuration file  formats.ini contains a section named [Formats]. Each line in this section matches a file format with the reader to use to parse the format. For most file formats there is only one suitable reader, but for some formats you can choose a reader to use. Each file format has the ..."},"35":{y:0,u:"../Content/Shared/_KV_Refine_Detection_of_Text.htm",l:-1,t:"Refine Detection of Text Files",i:0.00149177615952911,a:"During text detection, File Content Extraction analyzes the start and end of the document. It compares the usage of printable ASCII characters to other types of character to detect if the document is a plain text file. Depending on the type of documents you are working with, the default settings ..."},"36":{y:0,u:"../Content/Shared/_KV_AdditionalFormatInfo.htm",l:-1,t:"Additional Format Information",i:0.00149177615952911,a:"File Content Extraction returns basic information about a document\u0027s format, but sometimes it can be useful to have additional information. The file formats_description.tsv, which can be found in the bin directory, provides a mapping between file format ID, human-readable format description, and the ..."},"37":{y:0,u:"../Content/filter/Convert_Character_Sets.htm",l:-1,t:"Character Encoding",i:0.00217904770676444,a:"To ensure that all filtered text is output in the same character encoding, File Content Extraction performs character encoding conversion. In most cases, if your license includes advanced character set detection, File Content Extraction can detect the character encoding used in a source file, and ..."},"38":{y:0,u:"../Content/filter/Filter_Hidden_Data.htm",l:-1,t:"Choose What to Filter",i:0.00149177615952911,a:"Choose What to Filter File Content Extraction can be configured - through the API or its configuration file - to filter additional or hidden information, that is not filtered by default. You can also choose to skip certain types of information if they are not useful for your application."},"39":{y:0,u:"../Content/filter/Extract_Excel_Formulas.htm",l:-1,t:"Formulas - Microsoft Excel",i:0.00212578366989701,a:"When you filter a Microsoft Excel spreadsheet, File Content Extraction extracts the value of each cell. The value of a cell might be calculated from a formula, but the formula is not included in the output unless you configure File Content Extraction to include it. You can extract the cell value, ..."},"40":{y:0,u:"../Content/filter/Filter_Hidden_Text_Excel.htm",l:-1,t:"Hidden Text - Microsoft Excel",i:0.00149177615952911,a:"Normally, Filter does not filter hidden text from a Microsoft Excel spreadsheet because it is assumed the text should not be exposed. You can change this default behavior, and extract text from hidden rows, columns, and sheets from Excel spreadsheets by adding the following lines to the formats.ini ..."},"41":{y:0,u:"../Content/filter/Filter_Worksheet_Names.htm",l:-1,t:"Worksheet Names",i:0.00149177615952911,a:"Worksheet Names Normally, Filter does not extract worksheet names from a spreadsheet because it is assumed that the text should not be exposed. To extract worksheet names, add the following lines to the formats.ini file: [Options]\ngetsheetnames=1"},"42":{y:0,u:"../Content/filter/Filter_Deleted_Text.htm",l:-1,t:"Deleted Text",i:0.00149177615952911,a:"Some applications have revision tracking features—such as Microsoft Word\u0027s Track Changes—that identify changes to a document. When these features are used, text that was deleted from a document might still be stored in the file. File Content Extraction does not filter deleted text by default, but ..."},"43":{y:0,u:"../Content/filter/Hidden_Data_HTML.htm",l:-1,t:"Hidden Text - HTML",i:0.00149177615952911,a:"File Content Extraction can filter comments from HTML documents. To enable comment filtering, you must set a flag in the formats.ini file. To enable filtering of comments from HTML files Open the formats.ini file in a text editor. Under [Options], set the following flag. GetHTMLHiddenInfo= 1"},"44":{y:0,u:"../Content/filter/Filter_Source_Code.htm",l:-1,t:"Source Code",i:0.00149177615952911,a:"When you enable  source code identification , file format detection can identify source code files by language. For example, a file containing Python code would be detected as Python_Fmt (531) rather than ASCII_Text_Fmt (2). The default reader for many of the source code formats is codesr. This ..."},"45":{y:0,u:"../Content/filter/Filter_Tagged_PDF_Content.htm",l:-1,t:"Tagged Content - PDF",i:0.00149177615952911,a:"A tagged PDF contains an additional layer of text for visually impaired readers. This text is used in text-to-speech features in various PDF viewing programs. You can enable filtering of tagged PDF text in the API. Filtering the extra layer of tagged content might result in duplicate text in the ..."},"46":{y:0,u:"../Content/filter/Skip_Embedded_Fonts.htm",l:-1,t:"Embedded Fonts - PDF",i:0.00149177615952911,a:"Text in PDF files sometimes contains embedded fonts. If you experience difficulties filtering embedded fonts, you can skip this type of text. If you skip embedded fonts, none of the content that contains embedded fonts is included in the output. To skip text that uses embedded fonts In the C++ API, ..."},"47":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Japanese Guide Text - Microsoft Excel",i:0.00149177615952911,a:"This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In the C++ API, call  skip_phonetic_guides(true) on your Configuration object. In  formats.ini, set the following parameter. (This is an ..."},"48":{y:0,u:"../Content/filter/FilterPwdProtectedFiles.htm",l:-1,t:"Filter Password Protected Files",i:0.00191444783310771,a:"Filter Password Protected Files This section describes how to filter password-protected files. To filter password-protected files In the C++ API, set the password by calling the  password  method on your session configuration."},"49":{y:0,u:"../Content/filter/Filter_PDF_Files.htm",l:-1,t:"Filter PDF Files",i:0.00149177615952911,a:"Filter PDF Files Filter has special configuration options that allow greater control over the conversion of Adobe Acrobat PDF files."},"50":{y:0,u:"../Content/filter/pdf2sr.htm",l:-1,t:"Use the pdf2sr Reader",i:0.00149177615952911,a:"The pdf2sr reader is an alternative that can be used instead of pdfsr for filtering PDF files. It uses a different parsing technology. The pdf2sr reader has the following features: supports standard and custom metadata (non-XMP) supports basic text extraction supports password protected PDFs ..."},"51":{y:0,u:"../Content/filter/Filter_PDF_LogicalOrder.htm",l:-1,t:"Filter PDF Files to a Logical Reading Order",i:0.00212578366989701,a:"The order of the text inside a PDF file has no relation to the layout of the text on the page or screen. By default, File Content Extraction extracts paragraphs in the order in which they are stored in the file, not the order in which they appear on the page. For example, a three-column article ..."},"52":{y:0,u:"../Content/filter/Rotated_Text.htm",l:-1,t:"Rotated Text",i:0.00149177615952911,a:"When a PDF that contains rotated text is filtered, the rotated text is extracted after the text at the end of the PDF page on which the rotated text appears. If the PDF is filtered with logical order enabled, and the amount of rotated text on a page surpasses a predefined threshold,  the page is ..."},"53":{y:0,u:"../Content/filter/Control_Hyphenation.htm",l:-1,t:"Control Hyphenation",i:0.00149177615952911,a:"There are two types of hyphens in a PDF document: A soft hyphen is added to a word by a word processor to divide the word across two lines. This is a discretionary hyphen and is used to ensure proper text flow in justified text. A hard hyphen is intentionally added to a word regardless of the word\u0027s ..."},"54":{y:0,u:"../Content/filter/Filter_Portfolio_PDF.htm",l:-1,t:"Filter Portfolio PDF Files",i:0.00149177615952911,a:"Filter Portfolio PDF Files Portfolio PDF files contain subfiles and an ActionScript interface for navigating between them. You can use the extraction API to extract the subfiles.  See  Extract Subfiles from PDF Files ."},"55":{y:0,u:"../Content/Shared/_KV_Table_Detection_PDF.htm",l:-1,t:"Table Detection for PDF Files",i:0.00432065508334704,a:"PDF files often contain data presented in a tabular form. However, there is no information about the table stored within the PDF itself – the text is simply placed in  an arrangement that looks like a table to the human eye. When this data is filtered, it can be very difficult to reconstruct the ..."},"56":{y:0,u:"../Content/filter/Filter_Spreadsheet_Files.htm",l:-1,t:"Filter Spreadsheet Files",i:0.00149177615952911,a:"Filter Spreadsheet Files Filter has special configuration options that enable greater control over the conversion of spreadsheet files."},"57":{y:0,u:"../Content/filter/Specify_Date_and_Time_Fo.htm",l:-1,t:"Specify Date and Time Format on UNIX Systems",i:0.00149177615952911,a:"In Microsoft Excel you can choose to format dates and times according to the system locale.  On Windows, File Content Extraction uses the system locale settings to determine how these dates and times should be formatted.  In other operating systems, File Content Extraction uses the U.S. short date ..."},"58":{y:0,u:"../Content/filter/large_numbers_excel.htm",l:-1,t:"Filter Very Large Numbers in Spreadsheet Cells to Precision Numbers",i:0.00149177615952911,a:"Numbers in Microsoft Excel files can be extracted and written to the output without formatting. By default, numbers are extracted in the format specified by the Excel file (for example, General, Currency and Date). Spreadsheets might contain cells that have very large numbers in them. Excel displays ..."},"59":{y:0,u:"../Content/Shared/_KV_Standardize_Cell_Formats.htm",l:-1,t:"Standardize Cell Formats",i:0.00994481717994667,a:"In Microsoft Excel you can format cell values. For example, the date \"15/09/2021\" could be formatted as \"15 September 2021\" or \"2021-09-15\". By default, File Content Extraction extracts cell values with formatting, as they would appear in Excel. If you prefer, you can configure File Content ..."},"60":{y:0,u:"../Content/filter/Tab_Delimited_Output.htm",l:-1,t:"Tab Delimited Output for Spreadsheets and Embedded Tables",i:0.00149177615952911,a:"You can use File Content Extraction to convert spreadsheets, embedded tables in Word Processing documents (for example, Microsoft Word documents), and tables detected by Optical Character Recognition (OCR), to tab-delimited form. In this format, File Content Extraction inserts a tab character ..."},"61":{y:0,u:"../Content/filter/Presentation_LogicalOrder.htm",l:-1,t:"Filter Presentation Files to a Logical Reading Order",i:0.00149177615952911,a:"With some file formats, for example Microsoft PowerPoint presentations, the order of the text inside the file has no relation to the layout of the text on the page or screen. Recently modified text might appear at the end of a file, even though that text belongs at the beginning of the document. You ..."},"62":{y:0,u:"../Content/filter/Filter_XML_Files.htm",l:-1,t:"Filter XML Files",i:0.00149177615952911,a:"File Content Extraction can detect many types of XML file, including: Generic XML Microsoft Office 2003 XML (Word, Excel, and Visio) StarOffice/OpenOffice XML (text document, presentation, and spreadsheet) When you filter XML, you can tell File Content Extraction which elements to treat as content ..."},"63":{y:0,u:"../Content/filter/Configure_Element_Extrac.htm",l:-1,t:"Configure Element Extraction for XML Documents",i:0.00395847703828114,a:"When filtering XML files, you can specify which elements and attributes to extract according to the file\u0027s format ID or root element. This option is useful when you want to extract only relevant text elements, such as abstracts from reports, or a list of authors from an anthology.  A root element is ..."},"64":{y:0,u:"../Content/filter/Optical_Character_Recognition.htm",l:-1,t:"Optical Character Recognition",i:0.00149177615952911,a:"When processing raster image files, File Content Extraction can perform Optical Character Recognition (OCR) to attempt to filter text that might be visible in the image. If text is detected to form part of a table, it will be filtered in the same way as tables in Word Processing documents. File ..."},"65":{y:0,u:"../Content/filter/OCR.htm",l:-1,t:"Optimize OCR Performance",i:0.0027597911802649,a:"The default settings for OCR attempt to detect as much text as possible. For example, File Content Extraction attempts to detect text in multiple languages and alphabets, and rotated text in increments of 90 degrees from upright. This increases the amount of text that can be detected, prioritizing ..."},"66":{y:0,u:"../Content/filter/OCR_Config_Examples.htm",l:-1,t:"Configure OCR",i:0.00149177615952911,a:"In the following examples, OCR is configured to process scanned pages that contain only English or only Japanese text. Providing information about the input can result in a performance improvement, but OCR may fail to recognize text that does not match your configuration. For more information about ..."},"67":{y:0,u:"../Content/filter/DocumentRestrictions.htm",l:-1,t:"Document Restrictions",i:0.0570877095396493,a:"Some applications, and corresponding file formats, allow users to restrict the ways in which a document can be used. For example, you might be able to read a document but additional credentials (such as a password) could be required to modify the document content, add comments, or print the ..."},"68":{y:0,u:"../Content/filter/Unexpected_ZIP_Detection.htm",l:-1,t:"Unexpected ZIP Detection",i:0.00332806855713208,a:"Concatenating a ZIP file onto another file, such as a JPEG, is a well-known method for attempting to hide files from inspection. Users can zip up their sensitive files, then concatenate them on to the other file by using something like the Windows copy command-line tool. The result is a file that ..."},"69":{y:0,u:"../Content/kv_security/_KV_SecurityBestPractises.htm",l:-1,t:"Security Best Practices",i:0.00149177615952911,a:"This section outlines some security best practices to consider when using File Content Extraction. Keep File Content Extraction Up to Date. New releases may include security updates, including updates to third-party libraries. See  Third-Party Library Upgrade Policy . Protect the Temporary ..."},"70":{y:0,u:"../Content/kv_security/_KV_ProtectTempDir.htm",l:-1,t:"Protect the Temporary Directory",i:0.00243104802768688,a:"Filter writes temporary files to the temporary directory. These temporary files frequently include the contents of files that you are processing, including decrypted parts of encrypted files. Sensitive information is therefore exposed in the temporary directory, so it is important that only users ..."},"71":{y:0,u:"../Content/kv_security/_KV_RunMinimalPrivileges.htm",l:-1,t:"Run Filter with Minimal Privileges",i:0.00243104802768688,a:"OpenText recommends that you run Filter with only those privileges that are necessary for it to function correctly, which follows best practice for any application. In particular, Filter needs access only to the following directories: the Filter bin directory. any input and output locations. the ..."},"72":{y:0,u:"../Content/filter/Enable_Diagnostic_Logging.htm",l:-1,t:"Enable Diagnostic Logging",i:0.00149177615952911,a:"You can enable logging in File Content Extraction to diagnose issues that might occur. You configure logging in the formats.ini configuration file, by creating a [Logging] section. Turning on logging can slow File Content Extraction down and quickly generate many large log files. OpenText recommends ..."},"73":{y:0,u:"../Content/metadata/_KV_Using_Metadata_API.htm",l:-1,t:"Use the Metadata API",i:0.00260129027041086,a:"Use the Metadata API This section describes how to use File Content Extraction to access metadata."},"74":{y:0,u:"../Content/metadata/_KV_What_Is_Metadata.htm",l:-1,t:"What is Metadata?",i:0.00441417914265994,a:"Documents may contain information about the document itself: we call this metadata. For instance, a raster image file contains metadata recording the image\u0027s width and height; a word processing document may contain metadata recording the document\u0027s author and title. Metadata can be represented by ..."},"75":{y:0,u:"../Content/metadata/Mail_Metadata.htm",l:-1,t:"Mail Metadata",i:0.0068761803424587,a:"An e-mail message body and any attachments are considered by File Content Extraction as subfiles of the mail container (such as an MSG or EML file). The metadata for the message (the header fields such as \"From\", \"Sent\", \"To\", \"CC\", \"Subject\", and so on) are typically stored in the container and can ..."},"76":{y:0,u:"../Content/metadata/_KV_Understanding_Metadata.htm",l:-1,t:"Field Standardization",i:0.00384708853930426,a:"Common metadata fields such as \"Title\", \"Author\", and \"Subject\" exist in many different file formats, but can be stored in different ways. For instance, one raster image format may store the image width as a key-value pair with key Width. Another format may store the image width in bytes 16-19 of ..."},"77":{y:0,u:"../Content/metadata/_KV_Process_Fields.htm",l:-1,t:"Metadata Elements",i:0.00149177615952911,a:"This section explains how to process metadata elements. Standardized Elements When File Content Extraction understands the meaning of a metadata field in a document, it outputs that data in a standardized element - a  MetadataElement  object where: is_standard() returns true. standard_key() returns ..."},"78":{y:0,u:"../Content/metadata/_KV_Metadata_Examples_CPP.htm",l:-1,t:"Metadata Examples",i:0.00149177615952911,a:"If you want to process both standardized and non-standardized metadata elements, you can loop through  Metadata  without checking  is_standard()  or  standard_key()  – both standardized and non-standardized metadata can be handled in the same way. However, standardization allows you to handle ..."},"79":{y:0,u:"../Content/metadata/_KV_Standardized_Metadata_Fields.htm",l:-1,t:"Standardized Metadata Elements",i:0.00277093961233142,a:"The following tables describe the standardized metadata elements that File Content Extraction can create. Audio Metadata Date Metadata These dates are retrieved from values stored within the document, and are typically set by the creating application. For documents that exist on disk, this may ..."},"80":{y:0,u:"../Content/Chapter_Samples.htm",l:-1,t:"Sample Programs",i:0.00322056787158995,a:"Sample Programs This section describes the sample programs provided with Filter SDK."},"81":{y:0,u:"../Content/C++/samples/Introduction.htm",l:-1,t:"Introduction",i:0.00149177615952911,a:"The C++ sample programs demonstrate basic usage of the C++ implementation of the Filter API. The sample code is intended to provide a starting point for your own more advanced applications or to be used for reference purposes. The sample programs share a single header, to assist with parsing ..."},"82":{y:0,u:"../Content/C++/samples/detect.htm",l:-1,t:"detect",i:0.00170311199631841,a:"File Content Extraction can provide information about a very large number of file formats. This sample program makes use of the file format detection API method.   The sample program takes a path to a file and prints the information reported by the API. For example, the following output is produced ..."},"83":{y:0,u:"../Content/C++/samples/extract.htm",l:-1,t:"extract",i:0.00381900691346309,a:"Some files can contain embedded subfiles, including archive formats such as zip and rar, email containers, and Office formats. This sample program makes use of the subfile extraction API methods.   The sample program takes two positional arguments:  a path to a file a path to an output directory The ..."},"84":{y:0,u:"../Content/C++/samples/filter_document.htm",l:-1,t:"filter_document",i:0.00170311199631841,a:"Filtering is the extraction of text from a document. This sample program makes use of the filter API method.  The program takes two positional arguments: an input file an output text file By default, the ouput is encoded in UTF-8. $ ./filter_document input_file output.txt Not all document formats ..."},"85":{y:0,u:"../Content/C++/samples/metadata.htm",l:-1,t:"metadata",i:0.00170311199631841,a:"Some file formats contain additional documentation (metadata) about document contents. This sample program makes use of the metadata_map API method to provide metadata fields and values.  The fields that are present vary depending on file type and the individual document. For example, running the ..."},"86":{y:0,u:"../Content/C++/samples/subfiles.htm",l:-1,t:"subfiles",i:0.00170311199631841,a:"Like the  extract  sample program, the subfiles sample program uses the subfile extraction API methods. However, rather than copying the files to disk, it prints the number of embedded subfiles, and the information that could be obtained about each one, such as the file name and size. The API ..."},"87":{y:0,u:"../Content/C++/samples/filter_container.htm",l:-1,t:"filter_container",i:0.00170311199631841,a:"This sample program is a slightly more advanced example that combines several API methods. The sample program takes an input file and an output text file. The program  writes detection information and the filtered text to the output file. It then recursively extracts  all subfiles in the input file, ..."},"88":{y:0,u:"../Content/Chapter_AdvancedTopics.htm",l:-1,t:"Advanced Topics",i:0.00174537916367627,a:"Advanced Topics This section describes some advanced topics that apply to both the Filter API and the Extraction API."},"89":{y:0,u:"../Content/filter/File_Caching.htm",l:-1,t:"File Caching",i:0.00149177615952911,a:"To reduce the frequency of I/O operations, and consequently improve performance, the File Content Extraction readers load file data into memory. The readers then read the data from the cache rather than the physical disk. You can configure the amount of memory used for file caching through the ..."},"90":{y:0,u:"../Content/filter/Persist_the_Child_Proces.htm",l:-1,t:"Persist the Child Process",i:0.00149177615952911,a:"In out-of-process filtering, the parent process maintains a persistent connection with the child server after each file is filtered. While the connection is preserved in this way, subsequent filtering requests are processed more quickly because the server is already prepared to receive data.  You ..."},"91":{y:0,u:"../Content/filter/Run_Filter_In_Process.htm",l:-1,t:"Run Filter In Process",i:0.00149177615952911,a:"By default, Filter runs independently from the calling application process. This is called out-of-process filtering. Out-of-process filtering protects the stability of the calling application in the rare case when a malformed document causes Filter to fail. You can configure Filter to run in the ..."},"92":{y:0,u:"../Content/filter/Testing_poisonsr.htm",l:-1,t:"Test Error Handling and Recovery",i:0.00149177615952911,a:"The File Content Extraction Filter SDK includes a testing utility, poisonsr, which you can use to test error handling and recovery. This utility can replicate various error conditions, such as crashes and hangs. This reader is for testing purposes only. You must not redistribute it. Setup  The ..."},"93":{y:0,u:"../Content/filter/Out_of_Process_Dump_Files.htm",l:-1,t:"Troubleshooting with Out-of-Process Dump Files",i:0.00149177615952911,a:"On Linux platforms, the File Content Extraction child process can produce a dump file in the event of an abnormal termination.  To enable dump files Set the environment variable KVOOP_DUMP_ENABLE to 1. When you enable out-of-process dump files, if an abnormal termination occurs, File Content ..."},"94":{y:0,u:"../Content/Part_C++_API_Ref.htm",l:-1,t:"C++ API Reference",i:0.00212578366989701,a:"C++ API Reference This section provides detailed reference information for the C++ implementation of the File Extraction and Filter APIs. InputTypes and OutputTypes The keyview Namespace The keyview::io Namespace"},"95":{y:0,u:"../Content/C++/reference/InputOutput.htm",l:-1,t:"InputTypes and OutputTypes",i:0.00209408426211655,a:"InputTypes and OutputTypes Some of the methods in the C++SDK are templated on InputType,  OutputType, or both. You can pass these methods instances of the input and output types defined in the keyview::io namespace. See  Getting Started  for more details and examples."},"96":{y:0,u:"../Content/C++/reference/KVNamespace.htm",l:-1,t:"The keyview Namespace",i:0.00209408426211655,a:"The keyview Namespace This section provides details of the classes in the keyview namespace."},"97":{y:0,u:"../Content/C++/reference/SessionClass/SessionClass.htm",l:-1,t:"The Session Class",i:0.00173734795335058,a:"Defined in: Keyview_Session.hpp The Session class is the entry point to the C++ API. The Session class has methods to configure the session and  open a document . Options can be set by the Configuration class. This can be used in the constructor, or modified after construction. See  The ..."},"98":{y:0,u:"../Content/C++/reference/SessionClass/Constructor.htm",l:-1,t:"Constructor",i:0.00149177615952911,a:"Constructor Constructs a new Session with the specified parameters. Syntax Session::Session(\n        const std::string\u0026 license,\n        const std::string\u0026 bin_path,\n        bool in_process,\n        Configuration config \n    ) Arguments"},"99":{y:0,u:"../Content/C++/reference/SessionClass/Config.htm",l:-1,t:"config",i:0.00149177615952911,a:"config Get a reference to the configuration. This can be used to configure the next API call. Syntax const Configuration\u0026 Session::config() const\nConfiguration\u0026 Session::config()"},"100":{y:0,u:"../Content/C++/reference/SessionClass/Detect.htm",l:-1,t:"detect",i:0.00149177615952911,a:"Find the autodetected format of a file. The Session::detect method is deprecated in KeyView 23.3.0 and later. OpenText recommends that you create a  Document  object to represent each document and use the Document::info method instead. This method is still available for existing implementations, but ..."},"101":{y:0,u:"../Content/C++/reference/SessionClass/Filter.htm",l:-1,t:"filter",i:0.00149177615952911,a:"Filter a file to the provided output type. The Session::filter method is deprecated in KeyView 23.3.0 and later. OpenText recommends that you create a  Document  object to represent each document and use the Document::filter method instead. This method is still available for existing ..."},"102":{y:0,u:"../Content/C++/reference/SessionClass/get_metadata.htm",l:-1,t:"get_metadata",i:0.00223145158829166,a:"Get document metadata (including summary information and XMP metadata) from a file, preserving the ability to access it in the original type. The Session::get_metadata method is deprecated in KeyView 23.3.0 and later. OpenText recommends that you create a  Document  object to represent each document ..."},"103":{y:0,u:"../Content/C++/reference/SessionClass/get_restrictions.htm",l:-1,t:"get_restrictions",i:0.00149177615952911,a:"Gets information about any restrictions that exist on a file. For more information about this feature, see  Document Restrictions . The Session::get_restrictions method is deprecated in KeyView 23.3.0 and later. OpenText recommends that you create a  Document  object to represent each document and ..."},"104":{y:0,u:"../Content/C++/reference/SessionClass/GetSummaryInformation.htm",l:-1,t:"get_summary_information",i:0.00149177615952911,a:"Get document summary information metadata from a file, preserving the ability to access it in the original type. The get_summary_information method is deprecated in File Content Extraction 23.2.0 and later. OpenText recommends that you create a  Document  object to represent each document and use ..."},"105":{y:0,u:"../Content/C++/reference/SessionClass/MetadataMap.htm",l:-1,t:"metadata_map",i:0.00420744263000952,a:"Get document metadata from a file. This function converts all metadata values of any type are converted to UTF-8 strings. It outputs date/time values in UTC in the ISO-8601 date format YYYY-MM-DDThh:mm:ssZ. For example 2016-02-09T16:15:51Z. The Session::metadata_map method is deprecated in KeyView ..."},"106":{y:0,u:"../Content/C++/reference/SessionClass/open.htm",l:-1,t:"open",i:0.00223015237465674,a:"Opens a document and returns a  Document  object that you can use to access information from the document - for example its format information, text, metadata, and subfiles. A Document must be created and used on the same thread that created the parent session. A Document object maintains a ..."},"107":{y:0,u:"../Content/C++/reference/SessionClass/Subfiles.htm",l:-1,t:"subfiles",i:0.00149177615952911,a:"Obtain information about subfiles. The Container holds references to the session and input. The Session::subfiles method is deprecated in KeyView 23.3.0 and later. OpenText recommends that you create a  Document  object to represent each document and use the Document::subfiles method instead. This ..."},"108":{y:0,u:"../Content/C++/reference/ConfigurationClass/ConfigurationClass.htm",l:-1,t:"The Configuration Class",i:0.00822547923762234,a:"The Configuration Class Defined in: Keyview_Configuration.hpp The Configuration class allows you to set a wide variety of options. You can use this class to construct a Session, and to modify a Session that has already been constructed. Each option has a setter method."},"109":{y:0,u:"../Content/C++/reference/ConfigurationClass/Constructor.htm",l:-1,t:"Constructor",i:0.00149177615952911,a:"Constructor Create a new Configuration object. Syntax Configuration::Configuration()\nConfiguration::Configuration(const Configuration\u0026)"},"110":{y:0,u:"../Content/C++/reference/ConfigurationClass/character_set_detection.htm",l:-1,t:"character_set_detection",i:0.00175637603318584,a:"character_set_detection Setting character_set_detection to true enables advanced character set detection. Setting it to false disables it. Default value: true Syntax \nConfiguration\u0026 character_set_detection( bool character_set_detection);"},"111":{y:0,u:"../Content/C++/reference/ConfigurationClass/create_root_node.htm",l:-1,t:"create_root_node",i:0.00649287625440277,a:"Creates an artificial root node when extracting subfiles from containers. When you enable this option, all subfiles (except the artificial root node itself) have a  parent , regardless of the file format and whether there is a root directory or file. The highest level of the subfile hierarchy will ..."},"112":{y:0,u:"../Content/C++/reference/ConfigurationClass/credentials.htm",l:-1,t:"credentials",i:0.00300228580849086,a:"Use this method to supply credentials for opening protected container files for extraction. This method accepts a std::vector so you can specify as many sets of credentials as you wish. Calling the method with no parameters removes all of the credentials from the session configuration. Default ..."},"113":{y:0,u:"../Content/C++/reference/ConfigurationClass/custom_pdf_metadata.htm",l:-1,t:"custom_pdf_metadata",i:0.00149177615952911,a:"custom_pdf_metadata Setting custom_pdf_metadata to true results in all custom metadata being filtered from PDF documents when the metadata APIs are used. Default value: false Syntax \nConfiguration\u0026 Configuration::custom_pdf_metadata(bool emit_custom_metadata)"},"114":{y:0,u:"../Content/C++/reference/ConfigurationClass/date_time_field_codes.htm",l:-1,t:"date_time_field_codes",i:0.00149177615952911,a:"date_time_field_codes If you set date_time_field_codes to true, date/time field codes are extracted from Microsoft Word, PowerPoint, and RTF documents, instead of date/time values. Default value: false Syntax \nConfiguration\u0026 Configuration::date_time_field_codes(bool use_fieldcode)"},"115":{y:0,u:"../Content/C++/reference/ConfigurationClass/extract_as_msg.htm",l:-1,t:"extract_as_msg",i:0.00252178574821257,a:"Extract an e-mail message body and its attachments together, and output a file in MSG format. This configuration option applies to PST containers processed using the pstsr and pstxsr readers only. If false, e-mail message subfiles are extracted as .mail files (KV_Mail_Subfile_Fmt).  For more ..."},"116":{y:0,u:"../Content/C++/reference/ConfigurationClass/extract_images.htm",l:-1,t:"extract_images",i:0.00149177615952911,a:"extract_images Specifies whether images that are embedded in a document should be considered as subfiles. When this option is true, images can be extracted in the same way as other types of subfile. Default value: false Syntax \nConfiguration\u0026 Configuration::extract_images(bool extract_images)"},"117":{y:0,u:"../Content/C++/reference/ConfigurationClass/extract_pipe_streaming.htm",l:-1,t:"extract_pipe_streaming",i:0.00191444783310771,a:"extract_pipe_streaming This configuration option applies only when you use the legacy out-of-process method. See  Use the Legacy Out-of-Process Method . Enables pipe-streaming mode for extraction.\n Default value: false Syntax Configuration\u0026 extract_pipe_streaming(bool use_pipe_streaming);"},"118":{y:0,u:"../Content/C++/reference/ConfigurationClass/extraction_timeout.htm",l:-1,t:"extraction_timeout",i:0.00149177615952911,a:"(Out-of-process only) Sets the timeout for extracting one document. If the process times out, File Content Extraction shuts down the out-of-process process, which might add some time before the function returns. By default this timeout value is in seconds. You can change this unit to milliseconds by ..."},"119":{y:0,u:"../Content/C++/reference/ConfigurationClass/filename_field_code.htm",l:-1,t:"filename_field_code",i:0.00149177615952911,a:"filename_field_code If you set filename_field_code to true, file name field codes are extracted from Microsoft Word documents. Default value: false Syntax \nConfiguration\u0026 Configuration::filename_field_code(bool use_fieldcode)"},"120":{y:0,u:"../Content/C++/reference/ConfigurationClass/filter_pipe_streaming.htm",l:-1,t:"filter_pipe_streaming",i:0.00191444783310771,a:"filter_pipe_streaming This configuration option applies only when you use the legacy out-of-process method. See  Use the Legacy Out-of-Process Method . Enables pipe-streaming mode for filtering. Default value: false Syntax Configuration\u0026 filter_pipe_streaming(bool use_pipe_streaming);"},"121":{y:0,u:"../Content/C++/reference/ConfigurationClass/formatted_mail.htm",l:-1,t:"formatted_mail",i:0.00383760975431794,a:"formatted_mail If you set formatted_mail to true, the formatted version of the message body (HTML or RTF) is extracted from mail files where possible. Default value: false Syntax \nConfiguration\u0026 Configuration::formatted_mail(bool extract_formatted)"},"122":{y:0,u:"../Content/C++/reference/ConfigurationClass/header_and_footer.htm",l:-1,t:"header_and_footer",i:0.00149177615952911,a:"header_and_footer Extracts headers and footers. Default value: false Syntax \nConfiguration\u0026 Configuration::header_and_footer(bool emit_header_text)"},"123":{y:0,u:"../Content/C++/reference/ConfigurationClass/header_and_footer_tags.htm",l:-1,t:"header_and_footer_tags",i:0.00149177615952911,a:"header_and_footer_tags Puts tags around header and footer data. Default value: false Syntax \nConfiguration\u0026 Configuration::header_and_footer_tags(bool tag_headers)"},"124":{y:0,u:"../Content/C++/reference/ConfigurationClass/hidden_text.htm",l:-1,t:"hidden_text",i:0.00149177615952911,a:"hidden_text If you set hidden_text to true, hidden text in Microsoft Word, Excel, and PowerPoint documents is extracted. Default value: false Syntax \nConfiguration\u0026 Configuration::hidden_text(bool emit_hidden_text)"},"125":{y:0,u:"../Content/C++/reference/ConfigurationClass/logical_order.htm",l:-1,t:"logical_order",i:0.00212578366989701,a:"logical_order Specifies whether to output text in logical (reading) order, when filtering Microsoft PowerPoint files. Default value: false Syntax \nConfiguration\u0026 Configuration::logical_order(bool logical_order)"},"126":{y:0,u:"../Content/C++/reference/ConfigurationClass/mail_header.htm",l:-1,t:"mail_header",i:0.00441417914265994,a:"Whether to include the mail header fields (\"From\", \"To\", and so on) when extracting a mail message body (subfile) from its container. For more information about this feature, see  Mail Metadata . Default value: true Syntax \nConfiguration\u0026 Configuration::mail_header(bool output_mail_header)"},"127":{y:0,u:"../Content/C++/reference/ConfigurationClass/no_encoding_conversion.htm",l:-1,t:"no_encoding_conversion",i:0.00175637603318584,a:"Setting no_encoding_conversion to true prevents the default conversion of the text encoding. Filter  retains the original character encoding of the document if it is available. Default value: false Syntax \nConfiguration\u0026 Configuration::no_encoding_conversion(bool suppress_conversion)"},"128":{y:0,u:"../Content/C++/reference/ConfigurationClass/ocr.htm",l:-1,t:"ocr",i:0.00149177615952911,a:"Configure Optical Character Recognition (OCR) on raster image files to attempt to filter text.  This option is available only if OCR is included in your license. Setting enable to false disables it. The default OCR settings attempt to recognize as much text as possible, prioritizing recall over ..."},});