define({"0":{y:0,u:"../Content/Part_Overview.htm",l:-1,t:"Overview of Filter SDK",i:0.00408790880460538,a:"Overview of Filter SDK This section provides an overview of the OpenText File Content Extraction Filter SDK and describes how to get started with the Java API. Introducing Filter SDK Getting Started"},"1":{y:0,u:"../Content/filter/intro_filtersdk.htm",l:-1,t:"Introducing Filter SDK",i:0.0058252949477398,a:"Introducing Filter SDK This section describes the File Content Extraction Filter SDK. "},"2":{y:0,u:"../Content/filter/Overview.htm",l:-1,t:"Overview",i:0.00478286326185915,a:"OpenText File Content Extraction Filter SDK enables you to incorporate text extraction functionality into your own applications. It extracts text and metadata from a wide variety of file formats on numerous  platforms , and can automatically recognize over 2000 document types. It supports both ..."},"3":{y:0,u:"../Content/filter/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00408790880460538,a:"To get started with the Filter SDK, unzip the package to a directory on your machine. The Filter SDK packages for non-Windows platforms store the correct file permissions for the files in the SDK (for example, some files must be executable) . OpenText recommends that you unzip the SDK on the ..."},"4":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0503965219294828,a:"Your license key controls whether you have the full version of the File Content Extraction SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document ..."},"5":{y:0,u:"../Content/C/gettingstarted/KeyViewTutorial_Introduction.htm",l:-1,t:"Explore Filter SDK Features",i:0.00408790880460538,a:"You can use File Content Extraction by calling it from your own applications through one of its APIs. However, to help you get started, the SDK includes some non-production test utilities which allow you to use File Content Extraction from the command line and explore its functionality. This section ..."},"6":{y:0,u:"../Content/Chapter_GettingStarted.htm",l:-1,t:"Getting Started",i:0.00652024940499357,a:"Getting Started This section provides information about how to get started with the File Content Extraction Filter Java API."},"7":{y:0,u:"../Content/Java/gettingstarted/Filtering.htm",l:-1,t:"Filtering",i:0.00408790880460538,a:"Filter SDK enables you to filter many different types of documents. Filtering is the process of extracting the text from a document without the application-specific markup. However, the filtering process can also include the following: Subfile extraction—exposes all subfiles for filtering. See  Use ..."},"8":{y:0,u:"../Content/Java/gettingstarted/Use_Java_Implementation.htm",l:-1,t:"Use the Java Implementation of the API",i:0.00408790880460538,a:"The Java version of the Filter API provides an interface to the core functionality of the C API. It contains one primary class (Filter) that wraps the filter functionality of the C API. It is implemented in the package com.verity.api.filter contained in the file KeyView.jar. The JAR file is in the ..."},"9":{y:0,u:"../Content/Java/gettingstarted/Input_Output_Operations.htm",l:-1,t:"Input/Output Operations",i:0.0156198285955228,a:"Methods in the Filter Java API have signatures that support a variety of input and output methods. The input source can usually be a physical file accessed through a file path, a com.verity.api.SeekableInputStream or a standard java.io.InputStream. You can send the output to a file or ..."},"10":{y:0,u:"../Content/Java/gettingstarted/Filter_in_File_or_Stream.htm",l:-1,t:"Filter in File or Stream Mode",i:0.00408790880460538,a:"To filter files using the methods in the Filter class Instantiate a Filter object: Use the constructor Filter(String license). For example: m_objFilter = new Filter(\"YOUR_KEYVIEW_LICENSE\"); Use the constructor Filter(String license, java.lang.String outputCharSet, long filterFlags). For example: ..."},"11":{y:0,u:"../Content/Java/gettingstarted/Multi_Threaded_Filtering.htm",l:-1,t:"Multithreaded Filtering",i:0.00408790880460538,a:"To ensure multithreaded filter processes are thread-safe, you must create a unique Filter context for every thread by instantiating a Filter object. In addition, threads must not share context objects, and the same context object must be used for all API calls in the same thread. Creating a context ..."},"12":{y:0,u:"../Content/Java/gettingstarted/Before_Running_Your_Application.htm",l:-1,t:"Before Running Your Application",i:0.00408790880460538,a:"Before running your application you must set the library path using one of the following methods: On Windows, add the location of KeyViewFilter.dll to the PATH environment variable. On Linux, add the location of libKeyViewFilter.so to the LD_LIBRARY_PATH environment variable.  You can also specify ..."},"13":{y:0,u:"../Content/Part_UseSDK.htm",l:-1,t:"Use Filter SDK",i:0.00408790880460538,a:"Use Filter SDK This section explains how to perform some basic tasks by using the File Extraction and Filter APIs, and describes the sample programs. Use the File Extraction API Use the Filter API Use the Metadata API Sample Programs Advanced Topics"},"14":{y:0,u:"../Content/extract/Extract_API.htm",l:-1,t:"Use the File Extraction API",i:0.00565155633342636,a:"Use the File Extraction API This section describes how to extract subfiles from a container file by using the File Extraction API. "},"15":{y:0,u:"../Content/extract/Introduction.htm",l:-1,t:"Introduction",i:0.00408790880460538,a:"A file can contain other files, which we call subfiles. Examples of subfiles include e-mail attachments and embedded OLE objects. A file that contains subfiles is called a container file. The following are examples of container files: Archive files such as the ZIP, TAR, and RAR formats. Mail ..."},"16":{y:0,u:"../Content/extract/Extract_Subfiles_Java.htm",l:-1,t:"Extract Subfiles",i:0.0272422153670441,a:"To  filter  all files in a container file, the container must be opened and its subfiles extracted to either a file or a stream using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for  filtering . Once a subfile is extracted, you can ..."},"17":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00495660187617259,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the Filter.extGetSubFileInfo() method.  However, if the ..."},"18":{y:0,u:"../Content/extract/Extract_protected_containers.htm",l:-1,t:"Extract Protected Container Files",i:0.00408790880460538,a:"This section describes how to extract container files that are protected with a password or require other types of credentials. The following guidelines apply to specific file types. Lotus Notes NSF files. If you are running a Notes client with an active user connected to a Domino server, you must ..."},"19":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00478286326185915,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"20":{y:0,u:"../Content/extract/Understand_Subfile_Hierarchy.htm",l:-1,t:"Understand the Subfile Hierarchy",i:0.00824461499905095,a:"When you extract a container file, the paths or relationships between the subfiles might be irrelevant. For example, you might want to filter the subfiles contained in a ZIP archive, but you might not care about the file and folder structure. File Content Extraction provides information that enables ..."},"21":{y:0,u:"../Content/extract/_KV_ExtractMailFiles.htm",l:-1,t:"Extract Mail Files",i:0.0058252949477398,a:"A file that contains an e-mail message, for example a Microsoft Outlook .MSG file, is typically treated as a container even if it does not have any attachments. File Content Extraction provides access to the message text as a subfile.  When you extract a subfile that represents the text of a ..."},"22":{y:0,u:"../Content/extract/_KV_Set_CharSet_Extraction.htm",l:-1,t:"Specify a Target Character Set",i:0.00408790880460538,a:"File Content Extraction provides a way to specify the target character set when extracting subfiles. This is only used to set the character set when extracting the body of a mail message. OpenText recommends using UTF-8 or UTF-16 because these are widely supported and can encode a diverse range of ..."},"23":{y:0,u:"../Content/extract/Extract_Mailbox.htm",l:-1,t:"Mailbox Files",i:0.00408790880460538,a:"A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  In Eudora MBX files, attachments are inserted ..."},"24":{y:0,u:"../Content/extract/Extract_PST.htm",l:-1,t:"Outlook Personal Folders Files",i:0.00408790880460538,a:"File Content Extraction can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file.  By default, an extracted message will include header information (the fields To, From, Sent, and so on) even though this information is stored in the PST ..."},"25":{y:0,u:"../Content/extract/Extract_LotusDominoXML.htm",l:-1,t:"Lotus Domino XML Language Files",i:0.00408790880460538,a:"You can make sure that dates and times extracted from Lotus Domino .DXL files are displayed in a uniform format. To extract custom date/time formats In the formats.ini file, set the DateTimeFormat option in the [dxlsr] section. For example: [dxlsr]\nDateTimeFormat=%m/%d/%Y %I:%M:%S %p In this ..."},"26":{y:0,u:"../Content/extract/Extract_LotusNotes_DB.htm",l:-1,t:"Lotus Notes Database Files",i:0.00408790880460538,a:"A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document notes, access control list notes, and collection ..."},"27":{y:0,u:"../Content/extract/Extract_PDF.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00756268109087423,a:"File Content Extraction can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are added as comments by ..."},"28":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00408790880460538,a:"To improve performance when processing PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, File Content Extraction does not extract the image.  For example, to ignore ..."},"29":{y:0,u:"../Content/extract/Extract_OLE.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00408790880460538,a:"The File Extraction API can extract embedded OLE objects from the following types of documents: Lotus Notes (DXL) Microsoft Excel Microsoft Word Microsoft PowerPoint Microsoft Outlook Microsoft Visio Microsoft Project OASIS Open Document Rich Text Format (RTF) When an embedded OLE object is ..."},"30":{y:0,u:"../Content/extract/_KV_xtract_java_Default_Filenames_Extracted_Subfiles.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00408790880460538,a:"When a file name is not specified in the call to  extExtractSubFile, in some cases, a default file name is applied to the extracted subfile. Default File Name for Mail Formats To avoid naming conflicts and problems with long file names, File Content Extraction applies its own names to the extracted ..."},"31":{y:0,u:"../Content/Chapter_UseFilterAPI.htm",l:-1,t:"Use the Filter API",i:0.00478286326185915,a:"Use the Filter API This section describes how to perform some basic filtering tasks by using the Filter API."},"32":{y:0,u:"../Content/filter/Extract_Format_Info.htm",l:-1,t:"Obtain Format Information",i:0.00676029976888924,a:"The file format detection module (kwad) detects a file\u0027s format, and reports the information to your application. When detecting the file format, File Content Extraction uses the content of the file rather than the file extension. In some cases, the file extension can be an unreliable marker because ..."},"33":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.0058252949477398,a:"Source code identification attempts to identify files that contain a particular programming language as a specific format.  When you do not enable source code identification, files that contain source code are often identified as ASCII text files, which means the application treats them in the same ..."},"34":{y:0,u:"../Content/filter/Determine_Doc_Reader.htm",l:-1,t:"File Formats and Document Readers",i:0.0141678780877151,a:"The configuration file  formats.ini contains a section named [Formats]. Each line in this section matches a file format with the reader to use to parse the format. For most file formats there is only one suitable reader, but for some formats you can choose a reader to use. Each file format has the ..."},"35":{y:0,u:"../Content/Shared/_KV_Refine_Detection_of_Text.htm",l:-1,t:"Refine Detection of Text Files",i:0.00408790880460538,a:"During text detection, File Content Extraction analyzes the start and end of the document. It compares the usage of printable ASCII characters to other types of character to detect if the document is a plain text file. Depending on the type of documents you are working with, the default settings ..."},"36":{y:0,u:"../Content/Shared/_KV_AdditionalFormatInfo.htm",l:-1,t:"Additional Format Information",i:0.00408790880460538,a:"File Content Extraction returns basic information about a document\u0027s format, but sometimes it can be useful to have additional information. The file formats_description.tsv, which can be found in the bin directory, provides a mapping between file format ID, human-readable format description, and the ..."},"37":{y:0,u:"../Content/filter/Convert_Character_Sets.htm",l:-1,t:"Character Encoding",i:0.0181779160693918,a:"To ensure that all filtered text is output in the same character encoding, File Content Extraction performs character encoding conversion. In most cases, if your license includes advanced character set detection, File Content Extraction can detect the character encoding used in a source file, and ..."},"38":{y:0,u:"../Content/filter/Filter_Hidden_Data.htm",l:-1,t:"Choose What to Filter",i:0.00408790880460538,a:"Choose What to Filter File Content Extraction can be configured - through the API or its configuration file - to filter additional or hidden information, that is not filtered by default. You can also choose to skip certain types of information if they are not useful for your application."},"39":{y:0,u:"../Content/filter/Extract_Excel_Formulas.htm",l:-1,t:"Formulas - Microsoft Excel",i:0.00408790880460538,a:"When you filter a Microsoft Excel spreadsheet, File Content Extraction extracts the value of each cell. The value of a cell might be calculated from a formula, but the formula is not included in the output unless you configure File Content Extraction to include it. You can extract the cell value, ..."},"40":{y:0,u:"../Content/filter/Filter_Hidden_Text_Excel.htm",l:-1,t:"Hidden Text - Microsoft Excel",i:0.00408790880460538,a:"Normally, Filter does not filter hidden text from a Microsoft Excel spreadsheet because it is assumed the text should not be exposed. You can change this default behavior, and extract text from hidden rows, columns, and sheets from Excel spreadsheets by adding the following lines to the formats.ini ..."},"41":{y:0,u:"../Content/filter/Filter_Worksheet_Names.htm",l:-1,t:"Worksheet Names",i:0.00408790880460538,a:"Worksheet Names Normally, Filter does not extract worksheet names from a spreadsheet because it is assumed that the text should not be exposed. To extract worksheet names, add the following lines to the formats.ini file: [Options]\ngetsheetnames=1"},"42":{y:0,u:"../Content/filter/Filter_Deleted_Text.htm",l:-1,t:"Deleted Text",i:0.00610867941209042,a:"Some applications have revision tracking features—such as Microsoft Word\u0027s Track Changes—that identify changes to a document. When these features are used, text that was deleted from a document might still be stored in the file. File Content Extraction does not filter deleted text by default, but ..."},"43":{y:0,u:"../Content/filter/Hidden_Data_HTML.htm",l:-1,t:"Hidden Text - HTML",i:0.00408790880460538,a:"File Content Extraction can filter comments from HTML documents. To enable comment filtering, you must set a flag in the formats.ini file. To enable filtering of comments from HTML files Open the formats.ini file in a text editor. Under [Options], set the following flag. GetHTMLHiddenInfo= 1"},"44":{y:0,u:"../Content/filter/Filter_Source_Code.htm",l:-1,t:"Source Code",i:0.00408790880460538,a:"When you enable  source code identification , file format detection can identify source code files by language. For example, a file containing Python code would be detected as Python_Fmt (531) rather than ASCII_Text_Fmt (2). The default reader for many of the source code formats is codesr. This ..."},"45":{y:0,u:"../Content/filter/Filter_Tagged_PDF_Content.htm",l:-1,t:"Tagged Content - PDF",i:0.00408790880460538,a:"A tagged PDF contains an additional layer of text for visually impaired readers. This text is used in text-to-speech features in various PDF viewing programs. You can enable filtering of tagged PDF text in the API. Filtering the extra layer of tagged content might result in duplicate text in the ..."},"46":{y:0,u:"../Content/filter/Skip_Embedded_Fonts.htm",l:-1,t:"Embedded Fonts - PDF",i:0.00408790880460538,a:"Text in PDF files sometimes contains embedded fonts. If you experience difficulties filtering embedded fonts, you can skip this type of text. If you skip embedded fonts, none of the content that contains embedded fonts is included in the output. To skip text that uses embedded fonts In the Java API, ..."},"47":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Japanese Guide Text - Microsoft Excel",i:0.00408790880460538,a:"This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In the Java API, call the setNoPhoneticGuides method on the filter object, for example: filter.setNoPhoneticGuides(true); In  formats.ini, ..."},"48":{y:0,u:"../Content/filter/FilterPwdProtectedFiles.htm",l:-1,t:"Filter Password Protected Files",i:0.00756268109087423,a:"This section describes how to filter password-protected files. To filter password-protected files In the Java API, use the setSourcePassword(java.lang.String pwd) method. For example: objFilter.setSourcePassword(pwd); where  pwd is a null-terminated string of 255 characters or fewer."},"49":{y:0,u:"../Content/filter/Filter_PDF_Files.htm",l:-1,t:"Filter PDF Files",i:0.00610867941209042,a:"Filter PDF Files Filter has special configuration options that allow greater control over the conversion of Adobe Acrobat PDF files."},"50":{y:0,u:"../Content/filter/pdf2sr.htm",l:-1,t:"Use the pdf2sr Reader",i:0.00408790880460538,a:"The pdf2sr reader is an alternative that can be used instead of pdfsr for filtering PDF files. It uses a different parsing technology. The pdf2sr reader has the following features: supports standard and custom metadata (non-XMP) supports basic text extraction supports password protected PDFs ..."},"51":{y:0,u:"../Content/filter/Filter_PDF_LogicalOrder.htm",l:-1,t:"Filter PDF Files to a Logical Reading Order",i:0.00756268109087423,a:"The order of the text inside a PDF file has no relation to the layout of the text on the page or screen. By default, File Content Extraction extracts paragraphs in the order in which they are stored in the file, not the order in which they appear on the page. For example, a three-column article ..."},"52":{y:0,u:"../Content/filter/Rotated_Text.htm",l:-1,t:"Rotated Text",i:0.00408790880460538,a:"When a PDF that contains rotated text is filtered, the rotated text is extracted after the text at the end of the PDF page on which the rotated text appears. If the PDF is filtered with logical order enabled, and the amount of rotated text on a page surpasses a predefined threshold,  the page is ..."},"53":{y:0,u:"../Content/filter/Control_Hyphenation.htm",l:-1,t:"Control Hyphenation",i:0.00408790880460538,a:"There are two types of hyphens in a PDF document: A soft hyphen is added to a word by a word processor to divide the word across two lines. This is a discretionary hyphen and is used to ensure proper text flow in justified text. A hard hyphen is intentionally added to a word regardless of the word\u0027s ..."},"54":{y:0,u:"../Content/filter/Filter_Portfolio_PDF.htm",l:-1,t:"Filter Portfolio PDF Files",i:0.00408790880460538,a:"Filter Portfolio PDF Files Portfolio PDF files contain subfiles and an ActionScript interface for navigating between them. You can use the extraction API to extract the subfiles.  See  Extract Subfiles from PDF Files ."},"55":{y:0,u:"../Content/Shared/_KV_Table_Detection_PDF.htm",l:-1,t:"Table Detection for PDF Files",i:0.00408790880460538,a:"PDF files often contain data presented in a tabular form. However, there is no information about the table stored within the PDF itself – the text is simply placed in  an arrangement that looks like a table to the human eye. When this data is filtered, it can be very difficult to reconstruct the ..."},"56":{y:0,u:"../Content/filter/Filter_Spreadsheet_Files.htm",l:-1,t:"Filter Spreadsheet Files",i:0.00408790880460538,a:"Filter Spreadsheet Files Filter has special configuration options that enable greater control over the conversion of spreadsheet files."},"57":{y:0,u:"../Content/filter/Specify_Date_and_Time_Fo.htm",l:-1,t:"Specify Date and Time Format on UNIX Systems",i:0.00408790880460538,a:"In Microsoft Excel you can choose to format dates and times according to the system locale.  On Windows, File Content Extraction uses the system locale settings to determine how these dates and times should be formatted.  In other operating systems, File Content Extraction uses the U.S. short date ..."},"58":{y:0,u:"../Content/filter/large_numbers_excel.htm",l:-1,t:"Filter Very Large Numbers in Spreadsheet Cells to Precision Numbers",i:0.00408790880460538,a:"Numbers in Microsoft Excel files can be extracted and written to the output without formatting. By default, numbers are extracted in the format specified by the Excel file (for example, General, Currency and Date). Spreadsheets might contain cells that have very large numbers in them. Excel displays ..."},"59":{y:0,u:"../Content/Shared/_KV_Standardize_Cell_Formats.htm",l:-1,t:"Standardize Cell Formats",i:0.00408790880460538,a:"In Microsoft Excel you can format cell values. For example, the date \"15/09/2021\" could be formatted as \"15 September 2021\" or \"2021-09-15\". By default, File Content Extraction extracts cell values with formatting, as they would appear in Excel. If you prefer, you can configure File Content ..."},"60":{y:0,u:"../Content/filter/Tab_Delimited_Output.htm",l:-1,t:"Tab Delimited Output for Spreadsheets and Embedded Tables",i:0.00408790880460538,a:"You can use File Content Extraction to convert spreadsheets, embedded tables in Word Processing documents (for example, Microsoft Word documents), and tables detected by Optical Character Recognition (OCR), to tab-delimited form. In this format, File Content Extraction inserts a tab character ..."},"61":{y:0,u:"../Content/filter/Presentation_LogicalOrder.htm",l:-1,t:"Filter Presentation Files to a Logical Reading Order",i:0.00408790880460538,a:"With some file formats, for example Microsoft PowerPoint presentations, the order of the text inside the file has no relation to the layout of the text on the page or screen. Recently modified text might appear at the end of a file, even though that text belongs at the beginning of the document. You ..."},"62":{y:0,u:"../Content/filter/Filter_XML_Files.htm",l:-1,t:"Filter XML Files",i:0.00610867941209042,a:"File Content Extraction can detect many types of XML file, including: Generic XML Microsoft Office 2003 XML (Word, Excel, and Visio) StarOffice/OpenOffice XML (text document, presentation, and spreadsheet) When you filter XML, you can tell File Content Extraction which elements to treat as content ..."},"63":{y:0,u:"../Content/filter/Configure_Element_Extrac.htm",l:-1,t:"Configure Element Extraction for XML Documents",i:0.00848783934329895,a:"When filtering XML files, you can specify which elements and attributes to extract according to the file\u0027s format ID or root element. This option is useful when you want to extract only relevant text elements, such as abstracts from reports, or a list of authors from an anthology.  A root element is ..."},"64":{y:0,u:"../Content/filter/Optical_Character_Recognition.htm",l:-1,t:"Optical Character Recognition",i:0.00408790880460538,a:"When processing raster image files, File Content Extraction can perform Optical Character Recognition (OCR) to attempt to filter text that might be visible in the image. If text is detected to form part of a table, it will be filtered in the same way as tables in Word Processing documents. File ..."},"65":{y:0,u:"../Content/filter/OCR.htm",l:-1,t:"Optimize OCR Performance",i:0.00756268109087423,a:"The default settings for OCR attempt to detect as much text as possible. For example, File Content Extraction attempts to detect text in multiple languages and alphabets, and rotated text in increments of 90 degrees from upright. This increases the amount of text that can be detected, prioritizing ..."},"66":{y:0,u:"../Content/filter/OCR_Config_Examples.htm",l:-1,t:"Configure OCR",i:0.00408790880460538,a:"In the following examples, OCR is configured to process scanned pages that contain only English or only Japanese text. Providing information about the input can result in a performance improvement, but OCR may fail to recognize text that does not match your configuration. For more information about ..."},"67":{y:0,u:"../Content/kv_RMS/_KV_RMS_ConfigureProxyForRMS.htm",l:-1,t:"Configure the Proxy for RMS",i:0.00408790880460538,a:"When File Content Extraction needs to access contents that are protected by the Microsoft Rights Management System (RMS), it must make HTTP requests. By default, File Content Extraction uses the system proxy settings for these requests.  To use different proxy settings, you can configure them  in ..."},"68":{y:0,u:"../Content/filter/DocumentRestrictions.htm",l:-1,t:"Document Restrictions",i:0.00408790880460538,a:"Some applications, and corresponding file formats, allow users to restrict the ways in which a document can be used. For example, you might be able to read a document but additional credentials (such as a password) could be required to modify the document content, add comments, or print the ..."},"69":{y:0,u:"../Content/kv_security/_KV_SecurityBestPractises.htm",l:-1,t:"Security Best Practices",i:0.00408790880460538,a:"This section outlines some security best practices to consider when using File Content Extraction. Keep File Content Extraction Up to Date. New releases may include security updates, including updates to third-party libraries. See  Third-Party Library Upgrade Policy . Run File Content Extraction ..."},"70":{y:0,u:"../Content/kv_security/_KV_RunMinimalPrivileges.htm",l:-1,t:"Run Filter with Minimal Privileges",i:0.00862028968003064,a:"OpenText recommends that you run Filter with only those privileges that are necessary for it to function correctly, which follows best practice for any application. In particular, Filter needs access only to the following directories: the Filter bin directory. any input and output locations. the ..."},"71":{y:0,u:"../Content/filter/Enable_Diagnostic_Logging.htm",l:-1,t:"Enable Diagnostic Logging",i:0.00408790880460538,a:"You can enable logging in File Content Extraction to diagnose issues that might occur. You configure logging in the formats.ini configuration file, by creating a [Logging] section. Turning on logging can slow File Content Extraction down and quickly generate many large log files. OpenText recommends ..."},"72":{y:0,u:"../Content/metadata/_KV_Using_Metadata_API.htm",l:-1,t:"Use the Metadata API",i:0.00799703618926345,a:"Use the Metadata API This section describes how to use File Content Extraction to access metadata."},"73":{y:0,u:"../Content/metadata/_KV_What_Is_Metadata.htm",l:-1,t:"What is Metadata?",i:0.0110959446023755,a:"Documents may contain information about the document itself: we call this metadata. For instance, a raster image file contains metadata recording the image\u0027s width and height; a word processing document may contain metadata recording the document\u0027s author and title. Metadata can be represented by ..."},"74":{y:0,u:"../Content/metadata/Mail_Metadata.htm",l:-1,t:"Mail Metadata",i:0.00824461499905095,a:"An e-mail message body and any attachments are considered by File Content Extraction as subfiles of the mail container (such as an MSG or EML file). The metadata for the message (the header fields such as \"From\", \"Sent\", \"To\", \"CC\", \"Subject\", and so on) are typically stored in the container and can ..."},"75":{y:0,u:"../Content/metadata/_KV_Understanding_Metadata.htm",l:-1,t:"Field Standardization",i:0.0105162889098365,a:"Common metadata fields such as \"Title\", \"Author\", and \"Subject\" exist in many different file formats, but can be stored in different ways. For instance, one raster image format may store the image width as a key-value pair with key Width. Another format may store the image width in bytes 16-19 of ..."},"76":{y:0,u:"../Content/metadata/_KV_Process_Fields.htm",l:-1,t:"Metadata Elements",i:0.00408790880460538,a:"This section explains how to process metadata elements. Standardized Elements When File Content Extraction understands the meaning of a metadata field in a document, it outputs that data in a standardized element - a MetadataElement where: isStandard() returns true. getStandardKey() returns the ..."},"77":{y:0,u:"../Content/metadata/_KV_Standardized_Metadata_Fields.htm",l:-1,t:"Standardized Metadata Elements",i:0.00756268109087423,a:"The following tables describe the standardized metadata elements that File Content Extraction can create. Audio Metadata Date Metadata These dates are retrieved from values stored within the document, and are typically set by the creating application. For documents that exist on disk, this may ..."},"78":{y:0,u:"../Content/Chapter_Samples.htm",l:-1,t:"Sample Programs",i:0.0100613334408446,a:"Sample Programs This section describes the sample programs provided with Filter SDK."},"79":{y:0,u:"../Content/Java/samples/Introduction.htm",l:-1,t:"Introduction",i:0.00408790880460538,a:"The following Java sample programs are provided: ExtractFilter FilterFileByChunk FilterFileToFile FilterFileToStream FilterStreamByChunk FilterStreamToFile FilterStreamToStream FilterTest The source code for the programs is in the directory javaapi/sample. Included alongside the source code are ..."},"80":{y:0,u:"../Content/Java/samples/ExtractFilter.htm",l:-1,t:"ExtractFilter",i:0.00452225534038898,a:"The ExtractFilter program demonstrates the File Extraction interface. The FilterTest sample program demonstrates the functionality of the Filtering interface. See  FilterTest . The ExtractFilter program demonstrates the following functionality: opens a document extracts subfiles from a document ..."},"81":{y:0,u:"../Content/Java/samples/FilterFileByChunk.htm",l:-1,t:"FilterFileByChunk",i:0.00452225534038898,a:"The FilterFileByChunk program filters an input file to an output file using the Java API method doFilterChunk(). The method filters an input source and returns one chunk of output data. The program calls the method repeatedly until the entire file is processed. Run FilterFileByChunk on Windows To ..."},"82":{y:0,u:"../Content/Java/samples/FilterFileToFile.htm",l:-1,t:"FilterFileToFile",i:0.00452225534038898,a:"The FilterFileToFile program filters an input file to an output file using Java API methods in Filter. It demonstrates the following functions: filters an input file to an output file. extracts the character set if it can be determined by the document reader. extracts file format information ..."},"83":{y:0,u:"../Content/Java/samples/FilterFileToStream.htm",l:-1,t:"FilterFileToStream",i:0.00452225534038898,a:"The FilterFileToStream program filters an input file to an output stream using Java API methods in Filter.  Run FilterFileToStream on Windows To run FilterFileToStream on Windows In the FilterFileToStream.bat file, set the following variables. Run the batch file in the directory  ..."},"84":{y:0,u:"../Content/Java/samples/FilterStreamByChunk.htm",l:-1,t:"FilterStreamByChunk",i:0.00452225534038898,a:"The FilterStreamByChunk program filters an input stream to an output stream using the Java API method doFilterChunk(). The method filters an input source and returns one chunk of output data. The program calls the method repeatedly until the entire output buffer is processed. In KeyView version 12.9 ..."},"85":{y:0,u:"../Content/Java/samples/FilterStreamToFile.htm",l:-1,t:"FilterStreamToFile",i:0.00452225534038898,a:"The FilterStreamToFile program filters an input stream to an output file using Java API methods in Filter.  In KeyView version 12.9 and later, OpenText recommends that you implement a com.verity.api.SeekableInputStream. See  Input/Output Operations . Run FilterStreamToFile on Windows To run ..."},"86":{y:0,u:"../Content/Java/samples/FilterStreamToStream.htm",l:-1,t:"FilterStreamToStream",i:0.00452225534038898,a:"The FilterStreamToStream program filters an input stream to an output stream using Java API methods in Filter. It demonstrates the following functions: creates an input and an output stream. Filters the input stream to the output stream. extracts file format information (document type, format, ..."},"87":{y:0,u:"../Content/Java/samples/FilterTest.htm",l:-1,t:"FilterTest",i:0.0190186708848184,a:"The FilterTest program demonstrates most of the Filtering methods available in the Java API. It filters an input document to an output document and enables you to specify command-line options. The command-line options are listed in  Options for FilterTest Sample Program . To run FilterTest Add the ..."},"88":{y:0,u:"../Content/Chapter_AdvancedTopics.htm",l:-1,t:"Advanced Topics",i:0.00478286326185915,a:"Advanced Topics This section describes some advanced topics that apply to both the Filter API and the Extraction API."},"89":{y:0,u:"../Content/filter/File_Caching.htm",l:-1,t:"File Caching",i:0.00408790880460538,a:"To reduce the frequency of I/O operations, and consequently improve performance, the File Content Extraction readers load file data into memory. The readers then read the data from the cache rather than the physical disk. You can configure the amount of memory used for file caching through the ..."},"90":{y:0,u:"../Content/filter/Persist_the_Child_Proces.htm",l:-1,t:"Persist the Child Process",i:0.00408790880460538,a:"In out-of-process filtering, the parent process maintains a persistent connection with the child server after each file is filtered. While the connection is preserved in this way, subsequent filtering requests are processed more quickly because the server is already prepared to receive data.  You ..."},"91":{y:0,u:"../Content/filter/Run_Filter_In_Process.htm",l:-1,t:"Run Filter In Process",i:0.00687747406481824,a:"By default, Filter runs independently from the calling application process. This is called out-of-process filtering. Out-of-process filtering protects the stability of the calling application in the rare case when a malformed document causes Filter to fail. You can configure Filter to run in the ..."},"92":{y:0,u:"../Content/filter/Testing_poisonsr.htm",l:-1,t:"Test Error Handling and Recovery",i:0.00408790880460538,a:"The File Content Extraction Filter SDK includes a testing utility, poisonsr, which you can use to test error handling and recovery. This utility can replicate various error conditions, such as crashes and hangs. This reader is for testing purposes only. You must not redistribute it. Setup  The ..."},"93":{y:0,u:"../Content/filter/Out_of_Process_Dump_Files.htm",l:-1,t:"Troubleshooting with Out-of-Process Dump Files",i:0.00408790880460538,a:"On Linux platforms, the File Content Extraction child process can produce a dump file in the event of an abnormal termination.  To enable dump files Set the environment variable KVOOP_DUMP_ENABLE to 1. When you enable out-of-process dump files, if an abnormal termination occurs, File Content ..."},"94":{y:0,u:"../Content/Part_Appendixes.htm",l:-1,t:"Appendixes",i:0.00408790880460538,a:"This section lists supported formats, supported character sets, and redistributed files, and provides information on format detection and developing a custom document reader. Platforms, Compilers, and Dependencies File Formats Document Readers Platform Differences Character Sets Third-Party ..."},"95":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00435519898047221,a:"Platforms, Compilers, and Dependencies This section describes supported platforms, supported compilers, and software dependencies."},"96":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00815340265466667,a:"The following sections list supported operating systems for each platform. Windows (x86-64) Microsoft Windows Server 2022 Microsoft Windows Server 2019 Microsoft Windows Server 2016 Microsoft Windows Server 2012 Microsoft Windows 11 Microsoft Windows 10 Windows (x86) Microsoft Windows 10 Windows ..."},"97":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00408790880460538,a:"Supported Compilers The following table lists the supported compilers for the Java Filter SDK."},"98":{y:0,u:"../Content/filter/Requirements.htm",l:-1,t:"System Requirements",i:0.00408790880460538,a:"File Content Extraction uses shared memory to communicate with its child processes, and requires 8MB per child process. A session that includes both filtering and extraction therefore requires 16MB in total. You should ensure your machine has an appropriate amount of shared memory for the number of ..."},"99":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00930006723400865,a:"This section describes software that you, or the end user of your application, must install alongside File Content Extraction. For information about third-party software that is included with File Content Extraction, see  Third-Party Libraries . To run File Content Extraction on Windows requires the ..."},"100":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected.htm",l:-1,t:"File Formats",i:0.00505015343772598,a:"File Formats This section lists the file formats that File Content Extraction can detect."},"101":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected_Key.htm",l:-1,t:"Key to Supported Formats Table",i:0.00408790880460538,a:"Key to Supported Formats Table The supported formats table includes the following information:"},"102":{y:0,u:"../Content/kv_formats/_KV_FMT__AllDetected.htm",l:-1,t:"Supported Formats",i:0.0180154335312211,a:"1MHT, EML, and MBX files might return either format 2, 233, or 395, depending on the text  in the file. In general, files that contain fields such as To, From, Date, or Subject are considered to be email messages; files that contain fields such as content-type and mime-version are considered to be ..."},"103":{y:0,u:"../Content/kv_formats/_KV_FMT_FileClasses.htm",l:-1,t:"File Classes",i:0.00408790880460538,a:"File Classes"},"104":{y:0,u:"../Content/kv_formats/_KV_FMT__SupportedFormats.htm",l:-1,t:"Document Readers",i:0.00435519898047221,a:"Document Readers This section lists the document readers that are provided by File Content Extraction to filter, export, and view supported file formats."},"105":{y:0,u:"../Content/kv_formats/_KV_FMT__Key.htm",l:-1,t:"Key to Document Readers Table",i:0.00408790880460538,a:"The document readers table includes the following information. Key to Symbols Symbol Description Y The feature is supported. N The feature is not supported. T Only text is extracted from this format. Formatting information is not extracted.  M Only metadata (title, subject, author, and so on) is ..."},"106":{y:0,u:"../Content/kv_formats/_KV_FMT_Readers.htm",l:-1,t:"Document Readers",i:0.0194155369182858,a:"Document Readers"},"107":{y:0,u:"../Content/kv_platforms/_KV_Intro.htm",l:-1,t:"Platform Differences",i:0.00435519898047221,a:"Platform Differences Most File Content Extraction features and document readers are available across all platforms. This section describes the supported platforms for certain features that are not available on every platform."},"108":{y:0,u:"../Content/kv_platforms/_KV_FeaturesByPlatform.htm",l:-1,t:"Feature Differences",i:0.0130638573354711,a:"Feature Differences"},"109":{y:0,u:"../Content/kv_platforms/_KV_ReadersByPlatform.htm",l:-1,t:"Reader Differences",i:0.00958908504920225,a:"Reader Differences This topic shows only those readers that are unavailable on at least one platform. For a complete list of a readers, see  Document Readers ."},"110":{y:0,u:"../Content/kv_charset/_KV_CHARSET_c_charset.htm",l:-1,t:"Character Sets",i:0.00435519898047221,a:"Character Sets This section provides information on the handling of character sets in the File Content Extraction suite of products. "},"111":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Multibyte_Bidirectional_Support.htm",l:-1,t:"Multibyte and Bidirectional Support",i:0.00408790880460538,a:"File Content Extraction can process files that contain multibyte characters. A multibyte character encoding represents a single character with consecutive bytes. File Content Extraction can also process text from files that contain bidirectional text. Bidirectional text contains both Latin-based ..."},"112":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Coded_Character_Sets.htm",l:-1,t:"Coded Character Sets",i:0.0146032453642836,a:"This section lists the character sets you can use as your target character set.  Target character sets other than UTF-8 and UTF-16 are deprecated in File Content Extraction version 24.4 and later. OpenText recommends that you only use the widely supported UTF-8 and UTF-16 formats. Other character ..."},"113":{y:0,u:"../Content/Shared/_KV_3P_Appendix.htm",l:-1,t:"Third-Party Libraries",i:0.0122603829951844,a:"Third-Party Libraries This section contains information about the third-party libraries included with File Content Extraction."},"114":{y:0,u:"../Content/Shared/_KV_3P_Source.htm",l:-1,t:"Third-Party Library Source Code",i:0.00408790880460538,a:"File Content Extraction uses a variety of third-party libraries.  To see a list of the libraries used and their licenses, refer to license-os3p.txt which is included in the SDK. Some third-party libraries use a license which gives users of the software the right to obtain the source code to those ..."},"115":{y:0,u:"../Content/Shared/_KV_3P_UpgradePolicy.htm",l:-1,t:"Third-Party Library Upgrade Policy",i:0.00669398801930701,a:"File Content Extraction uses third-party libraries to provide important functionality. These libraries are regularly upgraded to ensure that File Content Extraction includes any relevant security fixes according to the following policy: All third-party libraries that are required for all uses of ..."},"116":{y:0,u:"../Content/kv_XML_templates/_KV_XML_app_XMLtemplate.htm",l:-1,t:"Extract and Format Lotus Notes Subfiles",i:0.00782997126674106,a:"Extract and Format Lotus Notes Subfiles This section describes how to create XML templates to alter the appearance of extracted Lotus mail note subfiles so that they maintain the look and feel of the original notes."},"117":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Overview.htm",l:-1,t:"Overview",i:0.00408790880460538,a:"File Content Extraction uses the NSF reader, nsfsr, to extract Lotus database files, and places Lotus mail notes in subfiles. The NSF reader uses a set of default XML templates to extract the notes and apply formatting, thereby approximating the look and feel of the original notes. In some cases, ..."},"118":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Customize_XML_Templates.htm",l:-1,t:"Customize XML Templates",i:0.00408790880460538,a:"XML templates are enabled by default. In most cases, the default templates should be sufficient; however, you can customize them or create your own as required. To customize XML templates for Lotus note extraction Modify the template files in the following directory. install\\OS\\bin\\NSFtemplates The ..."},"119":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Template_Elements_and_Attributes.htm",l:-1,t:"Template Elements and Attributes",i:0.0516157343293108,a:"This section lists the valid XML elements and attributes that you can use when creating or modifying templates. See the demo templates for examples. Conditional Elements The following table lists the valid conditional elements. Control Elements The following table lists the valid control elements. ..."},"120":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Date_and_Time_Formats.htm",l:-1,t:"Date and Time Formats",i:0.0260230029672161,a:"This section lists the supported Notes and File Content Extraction date and time formats for use with  \u003cformat\u003e ,  \u003cdate\u003e , and  \u003cdate_kv\u003e . Lotus Notes Date and Time Formats  This section lists supported Lotus Notes date and time formats, and the integer values that specify each one. File Content ..."},"121":{y:0,u:"../Content/filter/filter_filelist/filter_filelist.htm",l:-1,t:"List of Redistributable Files",i:0.00435519898047221,a:"With your application, you can redistribute all of the files and subfolders in the File Content Extraction bin directory. The bin directory is located in the SDK at the path  PLATFORM/bin, where  PLATFORM is the operating system platform. This section describes the core and support files in the bin ..."},"122":{y:0,u:"../Content/filter/filter_filelist/Core_Files.htm",l:-1,t:"Core Files",i:0.00408790880460538,a:"Core Files The following core files can be redistributed with your application."},"123":{y:0,u:"../Content/filter/filter_filelist/Support_Files.htm",l:-1,t:"Support Files",i:0.00408790880460538,a:"Support Files The following support files can be redistributed with your application."},"124":{y:0,u:"../Content/app_pwd_filter.htm",l:-1,t:"Password Protected Files",i:0.00435519898047221,a:"Password Protected Files This section lists supported password-protected container and non-container files."},"125":{y:0,u:"../Content/Shared/_KV_pwd_protect_support.htm",l:-1,t:"Supported Password Protected File Types",i:0.00408790880460538,a:"The following table lists the password-protected file types that File Content Extraction supports. Supported password-protected file types File Type Version Filter Export Extract View Credentials PST (Windows) n/a N N Y S P PST (non-Windows) 1 The native PST reader, pstxsr, does not require ..."},"126":{y:0,u:"../Content/filter/Filter_SDK_Optional_Components.htm",l:-1,t:"Optional Components in the Filter SDK",i:0.00609258512360664,a:"Optional Components in the Filter SDK This section contains information about optional libraries and how they can be managed to reduce third-party library usage and the install size."},"127":{y:0,u:"../Content/filter/Reducing_Third_Party_Usage.htm",l:-1,t:"Reducing Third-Party Library Usage",i:0.0272422153670441,a:"The following third-party vendor libraries are optional dependencies of File Content Extraction.  This table shows you which .dll / .so files you will need to delete if you want to remove the third-party library, and what functionality you will lose as a result.  It also shows which lines you should ..."},"128":{y:0,u:"../Content/filter/Reducing_Install_Size.htm",l:-1,t:"Reducing Install Size",i:0.00408790880460538,a:"Reducing Install Size The following libraries can be safely deleted to reduce the size of the bin folder. *The sizes are given as approximate examples only and are taken from the WINDOWS_X86_64 release."},"129":{y:0,u:"../Content/kv_RMS/_KV_RMS_Intro.htm",l:-1,t:"Microsoft Rights Management Service Protected Files",i:0.00435519898047221,a:"Microsoft Rights Management Service Protected Files This section contains information about support for Microsoft Rights Management Service (RMS)."},"130":{y:0,u:"../Content/kv_RMS/_KV_RMS.htm",l:-1,t:"Microsoft Azure Rights Management Service",i:0.00408790880460538,a:"The Microsoft Rights Management Service (RMS) allows you to classify and optionally encrypt documents. This service forms the rights management part of Microsoft Azure Information Protection (AIP).  For many of the files that Azure RMS can classify and encrypt, File Content Extraction can identify ..."},"131":{y:0,u:"../Content/kv_RMS/_KV_RMS_support.htm",l:-1,t:"Supported Formats",i:0.00408790880460538,a:"File Content Extraction support for Azure RMS files depends on the encryption method that Azure RMS uses for each file type, and on whether the file is classified or protected. In Azure RMS, classified files have additional labels to inform users of their sensitivity, while protected files are ..."},"132":{y:0,u:"../Content/Shared/_KV_OCR_Supported_Languages.htm",l:-1,t:"OCR Supported Languages",i:0.0107835790857033,a:"OCR Supported Languages File Content Extraction OCR supports the following languages. In parentheses following each language name is the corresponding ISO 639-1 language code. Latin Alphabet Arabic Alphabet Chinese Alphabet Cyrillic Alphabet Other Alphabets"},"133":{y:0,u:"../Content/filter/Use_Legacy_OOP_Method.htm",l:-1,t:"Use the Legacy Out-of-Process Method",i:0.0248943022264175,a:"By default, when you run File Content Extraction out-of-process, the parent process uses shared memory to communicate with the out-of-process server, which is faster than the legacy out-of-process method. OpenText recommends that you use this default method. To choose the out-of-process mechanism, ..."},});